Developer Working Agreements
=====================

These are agreements among the development team to facilitate smooth workflows and readable, efficient code. This is a living document that should be revisited regularly and these are meant to be guidelines with the understanding that exceptions can and do happen.

- We will do our best not to push to production on Friday afternoons.
- We try to not push commented out code to production.
- Each directory should have an empty `__init__.py` file to allow python 3 to turn that directory into a module. We will avoid adding initialization code to these files including using the `__all__` variable.
- Imports belong at the top of python files and should be specific (ie don't use `import * from package`). We will do our best to use absolute imports for external directories and relative imports to import modules in the same directory.
