from fastapi.testclient import TestClient

from geomagio.api.ws.ws_app import app

client = TestClient(app)


def test_get_elements():
    response = client.get("/elements/")

    assert response.status_code == 200

    body = response.json()
    assert body["type"] == "FeatureCollection"

    elements = body["features"]
    for e in elements:
        assert e["type"] == "Feature"
        assert e["id"] != None
        assert e["properties"]["name"] != None
        assert e["properties"]["units"] != None
        assert e["geometry"] == None
