import datetime
from obspy import UTCDateTime

from geomagio.api.db.models.metadata import MetadataQuery
from geomagio.metadata.MetadataFactory import parse_params


def test_parse_params_with_UTCDateTime():
    query = MetadataQuery(
        station="TUC",
        starttime=UTCDateTime(2024, 11, 7),
        endtime=UTCDateTime(2024, 11, 8),
    )

    params = parse_params(query)

    assert params["starttime"] == "2024-11-07T00:00:00.000000Z"
    assert params["endtime"] == "2024-11-08T00:00:00.000000Z"


def test_parse_params_with_datetime():
    query = MetadataQuery(
        station="TUC",
        starttime=datetime.datetime(2024, 11, 7),
        endtime=datetime.datetime(2024, 11, 8),
    )

    params = parse_params(query)

    assert params["starttime"] == "2024-11-07T00:00:00.000000Z"
    assert params["endtime"] == "2024-11-08T00:00:00.000000Z"
